Stable update to Thunderbird 14.0

Bug #1024564 reported by Chris Coulson on 2012-07-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
enigmail (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
lightning-extension (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Tyler Hicks (tyhicks) on 2012-07-16
summary: - Placeholder bug
+ Stable update to Thunderbird 14.0
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package thunderbird - 14.0+build1-0ubuntu0.12.04.1

---------------
thunderbird (14.0+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_14_0_BUILD1)
    - see LP: #1024564 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update globalmenu-extension to 3.2.5
    - Fix a crash in uGlobalMenu::RecycleList::~RecycleList()
    - Fix LP: #1010580 - update the window event timestamp when handling
      menu events
  * Drop patches fixed upstream
    - remove debian/patches/revert-bmo621446-investigation.patch
    - update debian/patches/series
  * Update desktop file translations
    - update debian/thunderbird.desktop.in
  * Ensure that additional actions in the desktop file match the fd.o spec
    in precise
    - update debian/thunderbird.desktop.in
    - update debian/rules
  * Add application/x-xpinstall to the MimeType field of the desktop file
    - update debian/thunderbird.desktop.in
  * Drop almost all mimetypes from the desktop file. Thunderbird won't display
    any of them if you invoke it with files of these types. It will just
    open a Compose window and add the file as an attachment
    - update debian/thunderbird.desktop.in
  * Drop the ability to select between tree/system libraries using a single
    option in debian/rules. It adds additional complexity and was never used
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/thunderbird-dev.links.in
    - update debian/rules
  * Shuffle the order of google-breakpad/src/common/dwarf/Makefile.in to fix a
    variable substitution issue, which was causing some objects to be built with
    the wrong compiler flags, resulting in dump_syms crashing (LP: #1002590)
    - add debian/patches/fix-makefile-substitution-bug.patch
  * Don't set LD_LIBRARY_PATH in our shell wrapper, and install
    dependentlibs.list instead now
    - update debian/thunderbird.sh.in
    - update debian/thunderbird.install.in
  * Drop StartupWMClass from the desktop file now that WM_CLASS is the same
    as the binary name (also fixes LP: #1012158)
    - update debian/thunderbird.desktop.in
    - update debian/rules
  * Apport hook improvements:
    - Sort preferences alphabetically in the apport data
    - Treat preferences set in default addons as default prefs so that
      they don't show up in apport data, unless the preference files have
      been modified
    - Support random pref files dropped in to the Thunderbird install folder,
      and preferences from application bundles
    - Fix ordering issues when loading preferences
  * Update the Apport blacklist file after dropping thunderbird-bin
    - update debian/apport/blacklist.in

  [ David Planella <<email address hidden> > ]
  * Add Catalan keywords
    - update debian/thunderbird.desktop.in

  [ Ben Collins <email address hidden> ]
  * Cherry pick patch from aurora to use YARR interpreter on ppc
    - update debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
  * Fix ppc build due to new dtoa library
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update ...

Read more...

Changed in thunderbird (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 14.0+build1-0ubuntu0.10.04.1

---------------
thunderbird (14.0+build1-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream stable release (THUNDERBIRD_14_0_BUILD1)
    - see LP: #1024564 for USN information

  [ Chris Coulson <email address hidden> ]
  * Drop patches fixed upstream
    - remove debian/patches/revert-bmo621446-investigation.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/add-syspref-dir.patch
  * Update desktop file translations
    - update debian/thunderbird.desktop.in
  * Add application/x-xpinstall to the MimeType field of the desktop file
    - update debian/thunderbird.desktop.in
  * Drop almost all mimetypes from the desktop file. Thunderbird won't display
    any of them if you invoke it with files of these types. It will just
    open a Compose window and add the file as an attachment
    - update debian/thunderbird.desktop.in
  * Drop the ability to select between tree/system libraries using a single
    option in debian/rules. It adds additional complexity and was never used
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/thunderbird-dev.links.in
    - update debian/rules
  * Shuffle the order of google-breakpad/src/common/dwarf/Makefile.in to fix a
    variable substitution issue, which was causing some objects to be built with
    the wrong compiler flags, resulting in dump_syms crashing (LP: #1002590)
    - add debian/patches/fix-makefile-substitution-bug.patch
  * Don't set LD_LIBRARY_PATH in our shell wrapper, and install
    dependentlibs.list instead now
    - update debian/thunderbird.sh.in
    - update debian/thunderbird.install.in
  * Drop StartupWMClass from the desktop file now that WM_CLASS is the same
    as the binary name (also fixes LP: #1012158)
    - update debian/thunderbird.desktop.in
    - update debian/rules
  * Apport hook improvements:
    - Sort preferences alphabetically in the apport data
    - Treat preferences set in default addons as default prefs so that
      they don't show up in apport data, unless the preference files have
      been modified
    - Support random pref files dropped in to the Thunderbird install folder,
      and preferences from application bundles
    - Fix ordering issues when loading preferences
  * Update the Apport blacklist file after dropping thunderbird-bin
    - update debian/apport/blacklist.in

  [ Ben Collins <email address hidden> ]
  * Cherry pick patch from aurora to use YARR interpreter on ppc
    - update debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
  * Fix ppc build due to new dtoa library
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Fri, 13 Jul 2012 23:13:02 +0100

Changed in thunderbird (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 14.0+build1-0ubuntu0.11.10.1

---------------
thunderbird (14.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_14_0_BUILD1)
    - see LP: #1024564 for USN information

  * Update globalmenu-extension to 3.2.5
    - Fix a crash in uGlobalMenu::RecycleList::~RecycleList()
    - Fix LP: #1010580 - update the window event timestamp when handling
      menu events
  * Drop patches fixed upstream
    - remove debian/patches/revert-bmo621446-investigation.patch
    - update debian/patches/series
  * Update desktop file translations
    - update debian/thunderbird.desktop.in
  * Add application/x-xpinstall to the MimeType field of the desktop file
    - update debian/thunderbird.desktop.in
  * Drop almost all mimetypes from the desktop file. Thunderbird won't display
    any of them if you invoke it with files of these types. It will just
    open a Compose window and add the file as an attachment
    - update debian/thunderbird.desktop.in
  * Drop the ability to select between tree/system libraries using a single
    option in debian/rules. It adds additional complexity and was never used
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/thunderbird-dev.links.in
    - update debian/rules
  * Shuffle the order of google-breakpad/src/common/dwarf/Makefile.in to fix a
    variable substitution issue, which was causing some objects to be built with
    the wrong compiler flags, resulting in dump_syms crashing (LP: #1002590)
    - add debian/patches/fix-makefile-substitution-bug.patch
  * Don't set LD_LIBRARY_PATH in our shell wrapper, and install
    dependentlibs.list instead now
    - update debian/thunderbird.sh.in
    - update debian/thunderbird.install.in
  * Drop StartupWMClass from the desktop file now that WM_CLASS is the same
    as the binary name (also fixes LP: #1012158)
    - update debian/thunderbird.desktop.in
    - update debian/rules
  * Apport hook improvements:
    - Sort preferences alphabetically in the apport data
    - Treat preferences set in default addons as default prefs so that
      they don't show up in apport data, unless the preference files have
      been modified
    - Support random pref files dropped in to the Thunderbird install folder,
      and preferences from application bundles
    - Fix ordering issues when loading preferences

  [ Ben Collins <email address hidden> ]
  * Cherry pick patch from aurora to use YARR interpreter on ppc
    - update debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
  * Fix ppc build due to new dtoa library
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Fri, 13 Jul 2012 23:03:43 +0100

Changed in thunderbird (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.6+build1-0ubuntu0.12.04.2

---------------
lightning-extension (1.6+build1-0ubuntu0.12.04.2) precise-security; urgency=low

  * New upstream stable release (CALENDAR_1_6_BUILD1) (LP: #1024564)

  [ Chris Coulson <email address hidden> ]
  * Fix LP: #995054 - Ensure the /usr/lib/thunderbird/extensions symlink
    exists on upgrade, which may not be the case when upgrading from a really
    old lightning version
    - add debian/lightning-extension.postinst

  [ Ben Collins <email address hidden> ]
  * Fix LP: #1025387 - FTBFS: powerpc build fails
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Mon, 16 Jul 2012 15:03:32 -0500

Changed in lightning-extension (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.6+build1-0ubuntu0.11.04.2

---------------
lightning-extension (1.6+build1-0ubuntu0.11.04.2) natty-security; urgency=low

  * New upstream stable release (CALENDAR_1_6_BUILD1) (LP: #1024564)

  [ Chris Coulson <email address hidden> ]
  * Fix LP: #995054 - Ensure the /usr/lib/thunderbird/extensions symlink
    exists on upgrade, which may not be the case when upgrading from a really
    old lightning version
    - add debian/lightning-extension.postinst

  [ Ben Collins <email address hidden> ]
  * Fix LP: #1025387 - FTBFS: powerpc build fails
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Mon, 16 Jul 2012 14:19:14 -0500

Changed in lightning-extension (Ubuntu Natty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.6+build1-0ubuntu0.11.10.2

---------------
lightning-extension (1.6+build1-0ubuntu0.11.10.2) oneiric-security; urgency=low

  * New upstream stable release (CALENDAR_1_6_BUILD1) (LP: #1024564)

  [ Chris Coulson <email address hidden> ]
  * Fix LP: #995054 - Ensure the /usr/lib/thunderbird/extensions symlink
    exists on upgrade, which may not be the case when upgrading from a really
    old lightning version
    - add debian/lightning-extension.postinst

  [ Ben Collins <email address hidden> ]
  * Fix LP: #1025387 - FTBFS: powerpc build fails
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Mon, 16 Jul 2012 14:36:32 -0500

Changed in lightning-extension (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 14.0+build1-0ubuntu0.11.04.1

---------------
thunderbird (14.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_14_0_BUILD1)
    - see LP: #1024564 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update globalmenu-extension to 3.2.5
    - Fix a crash in uGlobalMenu::RecycleList::~RecycleList()
    - Fix LP: #1010580 - update the window event timestamp when handling
      menu events
  * Drop patches fixed upstream
    - remove debian/patches/revert-bmo621446-investigation.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/add-syspref-dir.patch
  * Update desktop file translations
    - update debian/thunderbird.desktop.in
  * Add application/x-xpinstall to the MimeType field of the desktop file
    - update debian/thunderbird.desktop.in
  * Drop almost all mimetypes from the desktop file. Thunderbird won't display
    any of them if you invoke it with files of these types. It will just
    open a Compose window and add the file as an attachment
    - update debian/thunderbird.desktop.in
  * Drop the ability to select between tree/system libraries using a single
    option in debian/rules. It adds additional complexity and was never used
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/thunderbird-dev.links.in
    - update debian/rules
  * Shuffle the order of google-breakpad/src/common/dwarf/Makefile.in to fix a
    variable substitution issue, which was causing some objects to be built with
    the wrong compiler flags, resulting in dump_syms crashing (LP: #1002590)
    - add debian/patches/fix-makefile-substitution-bug.patch
  * Don't set LD_LIBRARY_PATH in our shell wrapper, and install
    dependentlibs.list instead now
    - update debian/thunderbird.sh.in
    - update debian/thunderbird.install.in
  * Drop StartupWMClass from the desktop file now that WM_CLASS is the same
    as the binary name (also fixes LP: #1012158)
    - update debian/thunderbird.desktop.in
    - update debian/rules
  * Apport hook improvements:
    - Sort preferences alphabetically in the apport data
    - Treat preferences set in default addons as default prefs so that
      they don't show up in apport data, unless the preference files have
      been modified
    - Support random pref files dropped in to the Thunderbird install folder,
      and preferences from application bundles
    - Fix ordering issues when loading preferences
  * Update the Apport blacklist file after dropping thunderbird-bin
    - update debian/apport/blacklist.in

  [ Ben Collins <email address hidden> ]
  * Cherry pick patch from aurora to use YARR interpreter on ppc
    - update debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
  * Fix ppc build due to new dtoa library
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Fri, 13 Jul 2012 23:08:02 +0100

Changed in thunderbird (Ubuntu Natty):
status: New → Fix Released
Tyler Hicks (tyhicks) on 2012-07-18
description: updated
Felix Möller (felix-derklecks) wrote :

This update caused bug #1025935.

Micah Gersten (micahg) on 2012-08-10
Changed in lightning-extension (Ubuntu Lucid):
status: New → Invalid
Changed in lightning-extension (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) wrote :

This was released a while ago, just cleaning up bug tasks.

Changed in thunderbird (Ubuntu):
status: New → Invalid
Changed in enigmail (Ubuntu):
status: New → Invalid
Changed in enigmail (Ubuntu Lucid):
status: New → Fix Released
Changed in enigmail (Ubuntu Natty):
status: New → Fix Released
Changed in enigmail (Ubuntu Oneiric):
status: New → Fix Released
Changed in enigmail (Ubuntu Precise):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers